Show product variant
Retrieve a specific product variant by its ID
GET
/
admin
/
api
/
v1
/
accounts
/
products
/
{product_id}
/
variants
/
{id}
Show product variant
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/accounts/products/{product_id}/variants/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/accounts/products/{product_id}/variants/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/accounts/products/{product_id}/variants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/accounts/products/{product_id}/variants/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"type": "goods",
"name": "Big Vision 4K Action Camera",
"service_tracking": "none",
"reference": "Action-01",
"barcode": "BV4K-0001",
"price": 150,
"cost": 100,
"volume": 0,
"weight": 1.2,
"description": "<p>A high-quality 4k action camera designed for everyday use.</p><p>The <strong>4K Action Camera</strong> is crafted with premium materials, ensuring durability and functionality. Perfect for those who value quality and innovation in their everyday essentials.</p>",
"description_purchase": null,
"description_sale": null,
"enable_sales": false,
"enable_purchase": false,
"is_favorite": false,
"is_configurable": true,
"images": [
"01JR9QKPXFKP1S054PZDM17MEP.png",
"01JR9QKPXPX1TJKCH0DMZ29M12.png"
],
"sort": null,
"parent_id": null,
"uom_id": 1,
"uom_po_id": 1,
"category_id": 11,
"creator_id": 1,
"company_id": 1,
"created_at": "2025-04-08T03:37:55.000000Z",
"updated_at": "2025-09-23T07:28:33.000000Z",
"deleted_at": null,
"property_account_income_id": null,
"property_account_expense_id": null,
"image": null,
"service_type": null,
"sale_line_warn": null,
"expense_policy": null,
"invoice_policy": null,
"sale_line_warn_msg": null,
"sales_ok": true,
"purchase_ok": true
}
}{
"message": "Unauthenticated."
}{
"message": "Resource not found."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Path Parameters
Query Parameters
Response
Success
⌘I
Show product variant
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/accounts/products/{product_id}/variants/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/accounts/products/{product_id}/variants/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/accounts/products/{product_id}/variants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/accounts/products/{product_id}/variants/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"type": "goods",
"name": "Big Vision 4K Action Camera",
"service_tracking": "none",
"reference": "Action-01",
"barcode": "BV4K-0001",
"price": 150,
"cost": 100,
"volume": 0,
"weight": 1.2,
"description": "<p>A high-quality 4k action camera designed for everyday use.</p><p>The <strong>4K Action Camera</strong> is crafted with premium materials, ensuring durability and functionality. Perfect for those who value quality and innovation in their everyday essentials.</p>",
"description_purchase": null,
"description_sale": null,
"enable_sales": false,
"enable_purchase": false,
"is_favorite": false,
"is_configurable": true,
"images": [
"01JR9QKPXFKP1S054PZDM17MEP.png",
"01JR9QKPXPX1TJKCH0DMZ29M12.png"
],
"sort": null,
"parent_id": null,
"uom_id": 1,
"uom_po_id": 1,
"category_id": 11,
"creator_id": 1,
"company_id": 1,
"created_at": "2025-04-08T03:37:55.000000Z",
"updated_at": "2025-09-23T07:28:33.000000Z",
"deleted_at": null,
"property_account_income_id": null,
"property_account_expense_id": null,
"image": null,
"service_type": null,
"sale_line_warn": null,
"expense_policy": null,
"invoice_policy": null,
"sale_line_warn_msg": null,
"sales_ok": true,
"purchase_ok": true
}
}{
"message": "Unauthenticated."
}{
"message": "Resource not found."
}